/*
 * Christoph Peters
 */

/**
 * Ein Objekt dieser Klasse reprsentiert eine Konstante,
 * d.h. einen "einfachen" Ausdruck.
 */
public class Konstante extends Ausdruck {
  
  /** Wert dieser Konstante. */
  private int wert;
  
  /**
   * Erzeugt ein Objekt dieser Klasse fr den angegebenen Wert.
   *
   * @param wert  Wert dieser Konstante
   */
  public Konstante(int wert) {
    
    this.wert = wert;
  }
  
  /**
   * Stellt diesen Ausdruck in Postfix-Darstellung dar.
   *
   * @return Postfix-Darstellung dieses Ausdrucks
   */
  public String postfixDarstellung() {
    
    return Integer.toString(wert);
  }
  
  /**
   * Wertet diesen Ausdruck auf der Basis der angegebenen
   * Variablenbelegung aus.
   *
   * @param belegung  Variablenbelegung, auf deren Basis
   *        dieser Ausdruck ausgewertet wird
   * @return Wert dieses Ausdruck
   */
  public int gibWert(Variablenbelegung belegung) {
    
    return this.wert;
  }
    
}
